curl --request GET \
--url https://api-sb.meld.io/bank-linking/accounts \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/bank-linking/accounts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/bank-linking/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"financialAccounts": [
{
"accountId": "<string>",
"balances": {
"availableAmount": 123,
"currency": "<string>",
"currentAmount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"connectionIds": [
"<string>"
],
"customerId": "<string>",
"externalCustomerId": "<string>",
"historicalAggregationSucceeded": true,
"id": "<string>",
"identifiers": {
"ach": {
"accountNumber": "<string>",
"routingNumber": "<string>"
},
"bacs": {
"accountNumber": "<string>",
"sortCode": "<string>"
},
"eft": {
"accountNumber": "<string>",
"institutionNumber": "<string>",
"branchNumber": "<string>"
},
"international": {
"accountName": "<string>",
"accountNumber": "<string>",
"bban": "<string>",
"bic": "<string>",
"iban": "<string>",
"sortCode": "<string>"
}
},
"institutionId": "<string>",
"institutionName": "<string>",
"key": "<string>",
"name": "<string>",
"owners": [
{
"addresses": [
{
"data": {
"city": "<string>",
"country": "<string>",
"full": "<string>",
"postalCode": "<string>",
"region": "<string>",
"street": "<string>"
},
"primary": "UNKNOWN"
}
],
"emails": [
{
"data": "<string>",
"primary": "UNKNOWN"
}
],
"names": [
"<string>"
],
"phoneNumbers": [
{
"data": "<string>",
"primary": "UNKNOWN"
}
]
}
],
"serviceProviderDetails": [
{}
],
"status": "ACTIVE",
"subtype": "OTHER",
"truncatedAccountNumber": "<string>",
"type": "CREDIT"
}
],
"remaining": 123
}Search financial accounts
Use this endpoint to filter financial accounts by various parameters.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Query Parameters
Meld generated unique identifier for your customer. This should be used to track customer activity. Should not be provided in conjunction with externalCustomerId
Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity. Should not be provided in conjunction with customerId
Institution id
Connection id
Unique key corresponding to a financial account's position in the paginated list of results -- used to indicate that only financial accounts residing before this key will be retrieved.
Each financial account carries a unique key. Reference Pagination
The before and after fields cannot be used in the same request.
Unique key corresponding to a financial account's position in the paginated list of results -- used to indicate that only financial accounts residing after this key will be retrieved.
Each financial account carries a unique key. Reference Pagination
The before and after fields cannot be used in the same request.
Limits number of returned financial accounts.
Default value: 10
Minimum value: 1
Maximum value: 100